Debian Bug report logs - #677303
screen: [debconf_rewrite] Debconf templates and debian/control review proposal

version graph

Package: screen; Maintainer for screen is Axel Beckert <abe@debian.org>; Source for screen is src:screen.

Reported by: Christian Perrier <bubulle@debian.org>

Date: Wed, 13 Jun 2012 05:57:04 UTC

Severity: normal

Fixed in version screen/4.1.0~20120320gitdb59704-3

Done: Axel Beckert <abe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Axel Beckert <abe@debian.org>:
Bug#677303; Package screen. (Wed, 13 Jun 2012 05:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
New Bug report received and forwarded. Copy sent to Axel Beckert <abe@debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

N/A

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Wed, 13 Jun 2012 05:57:07 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: screen: [debconf_rewrite] Debconf templates and debian/control review proposal
Date: Wed, 13 Jun 2012 07:48:10 +0200
Package: screen
Version: N/A
Severity: normal

Dear Debian maintainer,

Hello,

I just noticed new or modified debconf templates appearing for this
package.

I would like to suggest you to consider calling for debconf templates
review AND translation updates when you introduce new debconf
templates or modify the existing templates in a package or, if you
prefer, to send a call for translations after uploading the first
version that introduces new templates or templates changes.

If you're interested in suggestions for doing this, you can find some
at the end of this bug report.

The debian-l10n-english team will now start a review, on our own
initiative. It will be conducted through this bug report.


Suggestions for future debconf templates review
------------------------------------------------

1) Getting debconf templates reviewed
--------------------------------------

The Debian i18n contributors have developed a set of suggestions for
the writing style of debconf templates, to give them an overall
consistency all around Debian. These writing style suggestions are
explained in the Developers Reference. Lintian also warns about common
writing style concerns.

Maintainers are welcome when they ask for a review of debconf templates
and/or packages descriptions on debian-l10n-english@lists.debian.org.
It is of course not needed to wait for someone (such as me right me)
proposing you such a review.

In such situations (whether the review is requested by the maintainer
or proposed by someone else), someone from the debian-l10n-english
team will pick up the review to do, handle it, and finally send you a
bug report with the suggested templates. If you want, you can ask for
being CC'ed to the various discussions when the templates are
reviewed.


2) Call for new translations
----------------------------

As soon as the templates have been reviewed, you can ask Debian
translators for new translations:

Just go to your package's build tree and use:

$ podebconf-report-po --call

This will propose you a generic mail which is to be sent to
debian-i18n@lists.debian.org and call for new translations.

This utility will mention existing translations to avoid duplicate
work. 

It will also attach the needed material to this mail.

Please also think about giving a deadline to translators. We like
deadlines..:-)

3) Always call for translation updates before uploading
-------------------------------------------------------

(of course only when you change the debconf templates!)

If your package already includes debconf translations (ie *.po files
in debian/po), please consider calling for translation updates if you
happen to change something in the templates...or just in case when you
release a new version.

This is done with the following command:

$ podebconf-report-po

This will build private mails to translators (ie people listed in
"Last-Translator" in the PO files) for translations that are
incomplete. These mails will included the needed PO file for each
translator.


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-2-686-pae (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Axel Beckert <abe@debian.org>:
Bug#677303; Package screen. (Wed, 13 Jun 2012 16:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Axel Beckert <abe@debian.org>. (Wed, 13 Jun 2012 16:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 677303@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 677303@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [ITR] templates://screen/{templates}
Date: Wed, 13 Jun 2012 18:41:10 +0200
[Message part 1 (text/plain, inline)]
Dear Debian maintainer,

The Debian internationalisation team and the Debian English
localisation team will soon begin the review of the debconf
templates used in screen.

This review takes place for all packages that use debconf to interact with
users and its aims are:
- to improve the use of English in all debconf templates;
- to make the wording of debconf templates more consistent;
- to encourage more translations of templates.

Even if your first language is English, this process is likely to help
track down typos or errors, and improve consistency between the
debconf templates of your package and that of other packages in the
distribution.

The process involves both debian-l10n-english contributors and
Debian translators.

The details of the process are given in
http://wiki.debian.org/I18n/SmithDebconfReviewProcess.

I will act as the coordinator of this activity for screen.

The first step of the process is to review the debconf source
template file(s) of screen. This review will start on Saturday, June 16, 2012, or
as soon as you acknowledge this mail with an agreement for us to
carry out this process.

All parts of the process will be carried out in close collaboration
with you, and, unless you explicitely ask for it, no upload nor NMU
will happen for screen.

If you approve this process, please let us know by replying to this
mail. If some work in progress on your side would conflict with such a
rewrite (such as adding or removing debconf templates), please say so,
and we will defer the review to later in the development cycle.

Thank you for your attention.

-- 


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#677303; Package screen. (Wed, 13 Jun 2012 16:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. (Wed, 13 Jun 2012 16:57:05 GMT) Full text and rfc822 format available.

Message #15 received at 677303@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Christian PERRIER <bubulle@debian.org>, 677303@bugs.debian.org
Cc: debian-l10n-english@lists.debian.org, Debian Bug Tracking System E-Mail Control Server <control@bugs.debian.org>
Subject: Re: Bug#677303: [ITR] templates://screen/{templates}
Date: Wed, 13 Jun 2012 18:54:59 +0200
block 677227 by 677303
kthxbye

Hi Christian,

Christian PERRIER wrote:
> The Debian internationalisation team and the Debian English
> localisation team will soon begin the review of the debconf
> templates used in screen.

Thanks for triggering this yourself. From your previous mail it wasn't
clear if I have to trigger it or not, but you were quicker than I
could ask.

> The first step of the process is to review the debconf source
> template file(s) of screen. This review will start on Saturday, June
> 16, 2012, or as soon as you acknowledge this mail with an agreement
> for us to carry out this process.

I'd rather start it _now_ because I won't change anything in the
templates anymore and set the deadline to June 16, 2012, because
there's still one RC bug open and I plan to upload this RC fix latest
at the BSP next weekend in Salzburg.

> All parts of the process will be carried out in close collaboration
> with you, and, unless you explicitely ask for it, no upload nor NMU
> will happen for screen.

Feel free to NMU screen if that RC bug fix is too early, but please
then also check in your changes into the git repository at
http://anonscm.debian.org/gitweb/?p=collab-maint/screen.git

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Added indication that bug 677303 blocks 677227 Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Wed, 13 Jun 2012 16:57:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Axel Beckert <abe@debian.org>:
Bug#677303; Package screen. (Wed, 13 Jun 2012 17:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Axel Beckert <abe@debian.org>. (Wed, 13 Jun 2012 17:03:06 GMT) Full text and rfc822 format available.

Message #22 received at 677303@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 677303@bugs.debian.org, debian-l10n-english@lists.debian.org, Debian Bug Tracking System E-Mail Control Server <control@bugs.debian.org>
Subject: Re: Bug#677303: [ITR] templates://screen/{templates}
Date: Wed, 13 Jun 2012 19:02:06 +0200
[Message part 1 (text/plain, inline)]
Quoting Axel Beckert (abe@debian.org):

> Thanks for triggering this yourself. From your previous mail it wasn't
> clear if I have to trigger it or not, but you were quicker than I
> could ask.

NP. I was anyway planning to trigger things as soon as possible. I
will certainly speed up the process anyway.

> > The first step of the process is to review the debconf source
> > template file(s) of screen. This review will start on Saturday, June
> > 16, 2012, or as soon as you acknowledge this mail with an agreement
> > for us to carry out this process.
> 
> I'd rather start it _now_ because I won't change anything in the
> templates anymore and set the deadline to June 16, 2012, because
> there's still one RC bug open and I plan to upload this RC fix latest
> at the BSP next weekend in Salzburg.


It's too short for a review of English AND a translation update
round. IMHO, you should carry on with RC bugs handling during the BSP
without caring about the English review work and then all this could
be dealt with in a further upload (probably after the version that
fixes RC bugs entered testing).


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#677303; Package screen. (Wed, 13 Jun 2012 17:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. (Wed, 13 Jun 2012 17:18:02 GMT) Full text and rfc822 format available.

Message #27 received at 677303@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Christian PERRIER <bubulle@debian.org>, 677303@bugs.debian.org
Cc: Debian Bug Tracking System E-Mail Control Server <control@bugs.debian.org>
Subject: Re: Bug#677303: [ITR] templates://screen/{templates}
Date: Wed, 13 Jun 2012 19:15:03 +0200
unblock 677227 by 677303
kthxbye

Christian PERRIER wrote:
> > Thanks for triggering this yourself. From your previous mail it wasn't
> > clear if I have to trigger it or not, but you were quicker than I
> > could ask.
> 
> NP. I was anyway planning to trigger things as soon as possible. I
> will certainly speed up the process anyway.

Thanks.

> > > The first step of the process is to review the debconf source
> > > template file(s) of screen. This review will start on Saturday, June
> > > 16, 2012, or as soon as you acknowledge this mail with an agreement
> > > for us to carry out this process.
> > 
> > I'd rather start it _now_ because I won't change anything in the
> > templates anymore and set the deadline to June 16, 2012, because
> > there's still one RC bug open and I plan to upload this RC fix latest
> > at the BSP next weekend in Salzburg.
> 
> It's too short for a review of English AND a translation update
> round. IMHO, you should carry on with RC bugs handling during the BSP
> without caring about the English review work and then all this could
> be dealt with in a further upload (probably after the version that
> fixes RC bugs entered testing).

Then I'll likely do that upload even before the BSP, today or
tomorrow.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Removed indication that bug 677303 blocks 677227 Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Wed, 13 Jun 2012 17:18:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Axel Beckert <abe@debian.org>:
Bug#677303; Package screen. (Wed, 13 Jun 2012 17:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-l10n-english@lists.debian.org:
Extra info received and forwarded to list. Copy sent to Axel Beckert <abe@debian.org>. (Wed, 13 Jun 2012 17:24:07 GMT) Full text and rfc822 format available.

Message #34 received at 677303@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 677303@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [RFR] templates://screen/{templates}
Date: Wed, 13 Jun 2012 19:11:15 +0200
[Message part 1 (text/plain, inline)]
Please find, for review, the debconf templates for the screen source package.

(I didn't work on package descriptions as, being close the the freeze
and release, I prefer focusing on immediately i18n'ed material)

This review will last from Wednesday, June 13, 2012 to Saturday, June 23, 2012.

Please send reviews as unified diffs (diff -u) against the original
files. Comments about your proposed changes will be appreciated.

Your review should be sent as an answer to this mail.

When appropriate, I will send intermediate requests for review, with
"[RFRn]" (n>=2) as a subject tag.

When we will reach a consensus, I send a "Last Chance For
Comments" mail with "[LCFC]" as a subject tag.

Finally, the reviewed templates will be sent to the package maintainer
as a bug report, and a mail will be sent to this list with "[BTS]" as
a subject tag.

Rationale:

Before going into details, I'd like to mention that templates seem a
bit lengthy to me (they certainly don't fit on a 80x25 screen and need
to be scrolled down which is not always obvious with
debconf). Shortening them would be nice, but I didn't find any good
idea for that..:-)


--- screen.old/debian/templates	2012-06-13 07:47:30.361159077 +0200
+++ screen/debian/templates	2012-06-13 19:04:59.619623352 +0200
@@ -1,10 +1,10 @@
 Template: screen/410-upgrade
 Type: error
-_Description: Previous screen binary has been copied to /tmp/screen-4.0.3
+_Description: Warning: upgrading screen with an active session

OK, this is a little bit against my common habits but I think that
using "Warning: blah" here is a good idea.

I prefer the "title" to be something more general about what we're
talking about and not something that just looks like an informative
message. We *really* need users to read this.

  GNU Screen 4.1.0 currently can't speak with GNU Screen sessions
  started by GNU Screen 4.0.3.
  .
- On this system there seems to be at least one GNU Screen session
+ On this system, there seems to be at least one GNU Screen session
  running, possibly the one you run this upgrade in.
  .
  To be able to reconnect to your running GNU Screen session after the

Just adding a comma to where it belongs (imho)

@@ -21,11 +21,11 @@
 
 Template: screen/403-copy-failed
 Type: error
-_Description: Copying current screen binary to /tmp/screen-4.0.3 failed.
+_Description: Failed copy of screen binary to /tmp/screen-4.0.3

Following debconf templates writing guidelines and turn this into a "title".

  GNU Screen 4.1.0 currently can't speak with GNU Screen sessions
  started by GNU Screen 4.0.3.
  .
- On this system there seems to be at least one GNU Screen session
+ On this system, there seems to be at least one GNU Screen session
  running, possibly the one you run this upgrade in.
  .
  To be able to reconnect to your running GNU Screen session after the

And same comma..:)

-- 


[templates (text/plain, attachment)]
[patch.rfr (text/plain, attachment)]
[control (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Axel Beckert <abe@debian.org>:
Bug#677303; Package screen. (Wed, 13 Jun 2012 18:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin B Rye <jbr@edlug.org.uk>:
Extra info received and forwarded to list. Copy sent to Axel Beckert <abe@debian.org>. (Wed, 13 Jun 2012 18:48:05 GMT) Full text and rfc822 format available.

Message #39 received at 677303@bugs.debian.org (full text, mbox):

From: Justin B Rye <jbr@edlug.org.uk>
To: debian-l10n-english@lists.debian.org
Cc: 677303@bugs.debian.org
Subject: Re: [RFR] templates://screen/{templates}
Date: Wed, 13 Jun 2012 19:46:00 +0100
[Message part 1 (text/plain, inline)]
Christian PERRIER wrote:
> Before going into details, I'd like to mention that templates seem a
> bit lengthy to me (they certainly don't fit on a 80x25 screen and need
> to be scrolled down which is not always obvious with
> debconf). Shortening them would be nice, but I didn't find any good
> idea for that..:-)

My versions shorter, but I think it's mostly just because I'm not
wrapping at 70 columns.

>  Template: screen/410-upgrade
>  Type: error
> -_Description: Previous screen binary has been copied to /tmp/screen-4.0.3
> +_Description: Warning: upgrading screen with an active session
> 
> OK, this is a little bit against my common habits but I think that
> using "Warning: blah" here is a good idea.
> 
> I prefer the "title" to be something more general about what we're
> talking about and not something that just looks like an informative
> message. We *really* need users to read this.

Yes, looks good.
 
>   GNU Screen 4.1.0 currently can't speak with GNU Screen sessions
>   started by GNU Screen 4.0.3.

Drop "currently", unless we really expect stable-update versions of
Screen 4.1.0 to be backward-compatible.

s/speak/communicate/

If they're sessions started by Screen, they're obviously Screen
sessions, and we don't need all this GNU branding.

    GNU Screen 4.1.0 can't communicate with sessions started by Screen 4.0.3.

>   .
> - On this system there seems to be at least one GNU Screen session
> + On this system, there seems to be at least one GNU Screen session
>   running, possibly the one you run this upgrade in.

s/you run/you are running/.  Could we try smushing together these two
short paragraphs?

    There seems to be at least one GNU Screen session running on this system;
    possibly the one you are running this upgrade in. However, GNU Screen 4.1.0
    can't communicate with sessions started by Screen 4.0.3.

>   To be able to reconnect to your running GNU Screen session after the
>   new screen package has been unpacked, you'll need to call the old
>   screen binary instead of the new one. For that purpose, the old
>   screen binary has been copied to /tmp/screen-4.0.3. You can call it
>   like this: "/tmp/screen-4.0.3 -rd"

Squeezing:

    To reconnect to a running GNU Screen session after the new version has been
    unpacked, you'll need to call the old screen binary instead of the new one,
    so a copy has been made which can be invoked as "/tmp/screen-4.0.3 -rd".

>   In case your /tmp/ is a separate mount point and mounted with the
>   nosuid or noexec options, you may need to copy it to some other place
>   beforehand, e.g. to /root/, before calling it. It's permissions
>   should be 2755 (-rwxr-sr-x) and it should belong to the user root and
>   group utmp.

Squeezing (especially the "before"s) and fixing a rogue apostrophe:

    If your /tmp/ is a separate mount point mounted with the nosuid or noexec
    options, you may need to copy it to somewhere else (such as /root) before
    calling it. Its permissions should be 2755 (-rwxr-sr-x) and it should
    belong to the user root and group utmp.

> @@ -21,11 +21,11 @@
>  
>  Template: screen/403-copy-failed
>  Type: error
> -_Description: Copying current screen binary to /tmp/screen-4.0.3 failed.
> +_Description: Failed copy of screen binary to /tmp/screen-4.0.3
> 
> Following debconf templates writing guidelines and turn this into a "title".
> 
>   GNU Screen 4.1.0 currently can't speak with GNU Screen sessions
>   started by GNU Screen 4.0.3.
>   .
> - On this system there seems to be at least one GNU Screen session
> + On this system, there seems to be at least one GNU Screen session
>   running, possibly the one you run this upgrade in.

Changes as before.

>  .
>  To be able to reconnect to your running GNU Screen session after the
>  new screen package has been unpacked, you'll need to call the old
>  screen binary instead of the new one. For that purpose, it has been
>  tried to copy the old screen binary to /tmp/screen-4.0.3, but
>  unfortunately this failed.

"It has been tried to copy" doesn't work.  Why not just:

   To reconnect to a running GNU Screen session after the new version has been
   unpacked, you'll need to call the old screen binary instead of the new one.
   However, the attempt to copy it to /tmp/screen-4.0.3 has failed.

(Last minute thought: does the second error message ever appear
without being preceded by the first one?)

 * * *

Moving on to the control file: okay, this is a good package
description already, so none of the following is more than wishlist. 

> Description: terminal multiplexor with VT100/ANSI terminal emulation
                                 ^
Google says "Did you mean: multiplexer?"

>  screen is a terminal multiplexor that runs several separate "screens" on a
   ^                             ^
s/screen/GNU Screen/ - an appropriate place for branding, given that
it also saves us from initial lowercase.

>  single physical character-based terminal.  Each virtual terminal emulates a
>  DEC VT100 plus several ANSI X3.64 and ISO 2022 functions.  Screen sessions
>  can be detached and resumed later on a different terminal.

(While I'm here I'm imposing d-l-e "house style" single-spacing.)

>  .
>  Screen also supports a whole slew of other features.  Some of these are:

Just say "including".

>  configurable input and output translation, serial port support, configurable
>  logging, multi-user support, and utf8 charset support.

Failing to support UTF-8 by default has been a bug since at least
Lenny, so drop that one.
-- 
JBR	with qualifications in linguistics, experience as a Debian
	sysadmin, and probably no clue about this particular package
[control (text/plain, attachment)]
[templates (text/plain, attachment)]
[patch.jbr (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#677303; Package screen. (Wed, 13 Jun 2012 19:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. (Wed, 13 Jun 2012 19:18:04 GMT) Full text and rfc822 format available.

Message #44 received at 677303@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: debian-l10n-english@lists.debian.org, 677303@bugs.debian.org
Subject: Re: Bug#677303: [RFR] templates://screen/{templates}
Date: Wed, 13 Jun 2012 21:15:05 +0200
Hi,

Justin B Rye wrote:
> > -_Description: Previous screen binary has been copied to /tmp/screen-4.0.3
> > +_Description: Warning: upgrading screen with an active session

I dislike this version as it reads as this is something which is
generally the case (which it is not). I though like the idea of the
word "Warning" in it.

My suggestion: "Warning: upgrading to screen 4.1.0 with an active 4.0.3 session"

> >   GNU Screen 4.1.0 currently can't speak with GNU Screen sessions
> >   started by GNU Screen 4.0.3.
> 
> Drop "currently", unless we really expect stable-update versions of
> Screen 4.1.0 to be backward-compatible.

That's what I expect, yes, and for what I hoped will happen before the
freeze so I don't have to bother with debconf based workarounds like
this.

See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=644788#232 or
https://lists.gnu.org/archive/html/screen-devel/2012-02/msg00004.html

> s/speak/communicate/

Good idea.

> If they're sessions started by Screen, they're obviously Screen
> sessions, and we don't need all this GNU branding.

Granted. On the website they just say "Screen" in floating text, too:
http://www.gnu.org/software/screen/

>     GNU Screen 4.1.0 can't communicate with sessions started by Screen 4.0.3.

Looks fine.

>     There seems to be at least one GNU Screen session running on this system;
>     possibly the one you are running this upgrade in. However, GNU Screen 4.1.0
>     can't communicate with sessions started by Screen 4.0.3.
[...]
>     To reconnect to a running GNU Screen session after the new version has been
>     unpacked, you'll need to call the old screen binary instead of the new one,
>     so a copy has been made which can be invoked as "/tmp/screen-4.0.3 -rd".
[...]
>     If your /tmp/ is a separate mount point mounted with the nosuid or noexec
>     options, you may need to copy it to somewhere else (such as /root) before
>     calling it. Its permissions should be 2755 (-rwxr-sr-x) and it should
>     belong to the user root and group utmp.

Fine for me, thanks!

> >  To be able to reconnect to your running GNU Screen session after the
> >  new screen package has been unpacked, you'll need to call the old
> >  screen binary instead of the new one. For that purpose, it has been
> >  tried to copy the old screen binary to /tmp/screen-4.0.3, but
> >  unfortunately this failed.
> 
> "It has been tried to copy" doesn't work.  Why not just:
> 
>    To reconnect to a running GNU Screen session after the new version has been
>    unpacked, you'll need to call the old screen binary instead of the new one.
>    However, the attempt to copy it to /tmp/screen-4.0.3 has failed.
> 
> (Last minute thought: does the second error message ever appear
> without being preceded by the first one?)

Shouldn't. Both, config and preinst have the following code snippet:

      if cp -pnT /usr/bin/screen /tmp/screen-4.0.3 ; then
          echo Copied /usr/bin/screen to /tmp/screen-4.0.3
          db_input high screen/410-upgrade || true
          db_go || true
      else
          echo Copying /usr/bin/screen to /tmp/screen-4.0.3 failed
          db_input high screen/403-copy-failed || true
          db_go || true
      fi

But another thought: I posted a workaround for the worst case (dpkg
stuck inside unreachable screen, i.e. you can't run dpkg -i
screen_4.0.3*deb outside the screen and you don't want to kill it) at
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=677227#5 -- would it
make sense to include this URL somehow? Or the workaround itself?

> Moving on to the control file: okay, this is a good package
> description already, so none of the following is more than wishlist. 
> 
> > Description: terminal multiplexor with VT100/ANSI terminal emulation
>                                  ^
> Google says "Did you mean: multiplexer?"

I wondered about that, too, but suspect it's because it's
"multiplexer" in my mother tongue (German), too.

> >  screen is a terminal multiplexor that runs several separate "screens" on a
>    ^                             ^
> s/screen/GNU Screen/ - an appropriate place for branding, given that
> it also saves us from initial lowercase.

Granted.

> >  single physical character-based terminal.  Each virtual terminal emulates a
> >  DEC VT100 plus several ANSI X3.64 and ISO 2022 functions.  Screen sessions
> >  can be detached and resumed later on a different terminal.
> 
> (While I'm here I'm imposing d-l-e "house style" single-spacing.)

I thought double spacing is common for English (but not for German AFAIK).

> >  Screen also supports a whole slew of other features.  Some of these are:
> 
> Just say "including".

*nod* Do I get a final summary for this, too, or shall change that now
already? :-)

> >  configurable input and output translation, serial port support, configurable
> >  logging, multi-user support, and utf8 charset support.
> 
> Failing to support UTF-8 by default has been a bug since at least
> Lenny, so drop that one.

Huh? Works fine for me, I do write all my private mails inside Screen
including German with umlauts. Just wide-character support (e.g.
Japanese and Chinese) seems to be incomplete. Or do you mean automatic
character set detection? (And no, I don't know all screen bug reports
by mind. :-)

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Information forwarded to debian-bugs-dist@lists.debian.org, Axel Beckert <abe@debian.org>:
Bug#677303; Package screen. (Wed, 13 Jun 2012 20:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin B Rye <jbr@edlug.org.uk>:
Extra info received and forwarded to list. Copy sent to Axel Beckert <abe@debian.org>. (Wed, 13 Jun 2012 20:12:05 GMT) Full text and rfc822 format available.

Message #49 received at 677303@bugs.debian.org (full text, mbox):

From: Justin B Rye <jbr@edlug.org.uk>
To: debian-l10n-english@lists.debian.org
Cc: 677303@bugs.debian.org
Subject: Re: Bug#677303: [RFR] templates://screen/{templates}
Date: Wed, 13 Jun 2012 21:09:35 +0100
[Message part 1 (text/plain, inline)]
Axel Beckert wrote:
>>> -_Description: Previous screen binary has been copied to /tmp/screen-4.0.3
>>> +_Description: Warning: upgrading screen with an active session
> 
> I dislike this version as it reads as this is something which is
> generally the case (which it is not). I though like the idea of the
> word "Warning" in it.
> 
> My suggestion: "Warning: upgrading to screen 4.1.0 with an active 4.0.3 session"

Good if it'll fit; if not we might need to fall back on

 _Description: Warning - upgrading screen to an incompatible version

(No, forget that, yours fits.)

[...]
>> Drop "currently", unless we really expect stable-update versions of
>> Screen 4.1.0 to be backward-compatible.
> 
> That's what I expect, yes, and for what I hoped will happen before the
> freeze so I don't have to bother with debconf based workarounds like
> this.

Okay, putting "currently" back in the attached version.

[...]
>> (Last minute thought: does the second error message ever appear
>> without being preceded by the first one?)
> 
> Shouldn't. Both, config and preinst have the following code snippet:
> 
>       if cp -pnT /usr/bin/screen /tmp/screen-4.0.3 ; then
>           echo Copied /usr/bin/screen to /tmp/screen-4.0.3
>           db_input high screen/410-upgrade || true
>           db_go || true
>       else
>           echo Copying /usr/bin/screen to /tmp/screen-4.0.3 failed
>           db_input high screen/403-copy-failed || true
>           db_go || true
>       fi

(Right, so users should only ever see one or the other, which means
both templates do need to explain what's going on.)
 
> But another thought: I posted a workaround for the worst case (dpkg
> stuck inside unreachable screen, i.e. you can't run dpkg -i
> screen_4.0.3*deb outside the screen and you don't want to kill it) at
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=677227#5 -- would it
> make sense to include this URL somehow? Or the workaround itself?

It would make sense to point at a NEWS file with details and/or
pointers; debconf reviews often involve telling maintainers to move as
much as possible into separate docs, but then again I can see how
admins might prefer not to have to try to establish a new session just
to read the README about problems establishing new sessions.

Of course, they'll all have read the Release Notes, right?

[...]
>>>  single physical character-based terminal.  Each virtual terminal emulates a
>>>  DEC VT100 plus several ANSI X3.64 and ISO 2022 functions.  Screen sessions
>>>  can be detached and resumed later on a different terminal.
>> 
>> (While I'm here I'm imposing d-l-e "house style" single-spacing.)
> 
> I thought double spacing is common for English (but not for German AFAIK).

It's largely an en_US versus en_GB thing (my own habitual en_GB
involves double-spacing), but double spaces get squashed to single
spaces anyway as soon as the description gets re-flowed.
 
>>>  configurable input and output translation, serial port support, configurable
>>>  logging, multi-user support, and utf8 charset support.
>> 
>> Failing to support UTF-8 by default has been a bug since at least
>> Lenny, so drop that one.
> 
> Huh? Works fine for me, I do write all my private mails inside Screen
> including German with umlauts. Just wide-character support (e.g.
> Japanese and Chinese) seems to be incomplete. Or do you mean automatic
> character set detection? (And no, I don't know all screen bug reports
> by mind. :-)

As far as I know screen's UTF-8 support is flawless (჻☽); and it's
also FHS-compliant, Y2k-safe, and libc6-compatible, but these non-bugs
no longer really count as features.
-- 
JBR	with qualifications in linguistics, experience as a Debian
	sysadmin, and probably no clue about this particular package
[patch.oGIC9O.jbr (text/plain, attachment)]
[control (text/plain, attachment)]
[patch.jbr (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#677303; Package screen. (Wed, 13 Jun 2012 20:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. (Wed, 13 Jun 2012 20:45:05 GMT) Full text and rfc822 format available.

Message #54 received at 677303@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: debian-l10n-english@lists.debian.org, 677303@bugs.debian.org
Subject: Re: Bug#677303: [RFR] templates://screen/{templates}
Date: Wed, 13 Jun 2012 22:40:39 +0200
Hi Justin,

Justin B Rye wrote:
> Axel Beckert wrote:
> >>> -_Description: Previous screen binary has been copied to /tmp/screen-4.0.3
> >>> +_Description: Warning: upgrading screen with an active session
> > 
> > I dislike this version as it reads as this is something which is
> > generally the case (which it is not). I though like the idea of the
> > word "Warning" in it.
> > 
> > My suggestion: "Warning: upgrading to screen 4.1.0 with an active 4.0.3 session"
> 
> Good if it'll fit; if not we might need to fall back on
> 
>  _Description: Warning - upgrading screen to an incompatible version

That's also a good idea!

> (No, forget that, yours fits.)

I actually like your version better. It easier to comprehend with less
words while still mentioning everything important, especiallt that
it's a one-time thing.

> >> (Last minute thought: does the second error message ever appear
> >> without being preceded by the first one?)
> > 
> > Shouldn't. Both, config and preinst have the following code snippet:
> > 
> >       if cp -pnT /usr/bin/screen /tmp/screen-4.0.3 ; then
> >           echo Copied /usr/bin/screen to /tmp/screen-4.0.3
> >           db_input high screen/410-upgrade || true
> >           db_go || true
> >       else
> >           echo Copying /usr/bin/screen to /tmp/screen-4.0.3 failed
> >           db_input high screen/403-copy-failed || true
> >           db_go || true
> >       fi
> 
> (Right, so users should only ever see one or the other, which means
> both templates do need to explain what's going on.)

I actually splitted it that way, because wanted the copying before the
debconf stuff so I can check its exit code. And that way the user just
has to press OK once.

> > But another thought: I posted a workaround for the worst case (dpkg
> > stuck inside unreachable screen, i.e. you can't run dpkg -i
> > screen_4.0.3*deb outside the screen and you don't want to kill it) at
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=677227#5 -- would it
> > make sense to include this URL somehow? Or the workaround itself?
> 
> It would make sense to point at a NEWS file with details and/or
> pointers;

Thanks for that idea! The NEWS entry is there since October with a
pointer to the initial discussion, but I can document the workaround
in there, so it's available locally on the system.

> debconf reviews often involve telling maintainers to move as
> much as possible into separate docs, but then again I can see how
> admins might prefer not to have to try to establish a new session just
> to read the README about problems establishing new sessions.

Well, yeah, the main reason for debconf here is to make sure the admin
is really aware of the issue because of its RC-ness.

> Of course, they'll all have read the Release Notes, right?

Yeah, sure. ;-)

> [...]
> >>>  single physical character-based terminal.  Each virtual terminal emulates a
> >>>  DEC VT100 plus several ANSI X3.64 and ISO 2022 functions.  Screen sessions
> >>>  can be detached and resumed later on a different terminal.
> >> 
> >> (While I'm here I'm imposing d-l-e "house style" single-spacing.)
> > 
> > I thought double spacing is common for English (but not for German AFAIK).
> 
> It's largely an en_US versus en_GB thing (my own habitual en_GB
> involves double-spacing),

Ah, ok, I didn't know that.

> but double spaces get squashed to single spaces anyway as soon as
> the description gets re-flowed.

I see.

> >>>  configurable input and output translation, serial port support, configurable
> >>>  logging, multi-user support, and utf8 charset support.
> >> 
> >> Failing to support UTF-8 by default has been a bug since at least
> >> Lenny, so drop that one.
> > 
> > Huh? Works fine for me, […]
> 
> As far as I know screen's UTF-8 support is flawless (჻☽); and it's
> also FHS-compliant, Y2k-safe, and libc6-compatible, but these non-bugs
> no longer really count as features.

Ok, point taken. ツ

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Information forwarded to debian-bugs-dist@lists.debian.org, Axel Beckert <abe@debian.org>:
Bug#677303; Package screen. (Thu, 14 Jun 2012 07:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Axel Beckert <abe@debian.org>. (Thu, 14 Jun 2012 07:03:03 GMT) Full text and rfc822 format available.

Message #59 received at 677303@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 677303@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [LCFC] templates://screen/{templates}
Date: Thu, 14 Jun 2012 08:59:11 +0200
[Message part 1 (text/plain, inline)]
This is the last call for comments for the review of debconf
templates for screen.

(I think that last discussions have been fruitful enough so I'm
speeding up the process. I used Justin's last versions. Please object
if there's something you'd like to see changed...or if you think more
time is needed for this review)

The reviewed templates will be sent on Saturday, June 16, 2012 to this bug report
and a mail will be sent to this list with "[BTS]" as a subject tag.


-- 


[templates (text/plain, attachment)]
[control (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Axel Beckert <abe@debian.org>:
Bug#677303; Package screen. (Sat, 16 Jun 2012 11:09:59 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Axel Beckert <abe@debian.org>. (Sat, 16 Jun 2012 11:10:03 GMT) Full text and rfc822 format available.

Message #64 received at 677303@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 677303@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [BTS#677303] templates://screen/{templates} : Final update for English review
Date: Sat, 16 Jun 2012 13:05:13 +0200
[Message part 1 (text/plain, inline)]
Dear Debian maintainer,

On Wednesday, June 13, 2012, I notified you of the beginning of a review process
concerning debconf templates for screen.

The debian-l10n-english contributors have now reviewed these templates,
and the final proposed changes are attached to this update to the
original bug report.

Please review the suggested changes, and if you have any
objections, let me know in the next 3 days.

However, please try to avoid uploading screen with these changes
right now.

The second phase of this process will begin on Tuesday, June 19, 2012, when I will
coordinate updates to translations of debconf templates.

The existing translators will be notified of the changes: they will
receive an updated PO file for their language.

Simultaneously, a general call for new translations will be sent to
the debian-i18n mailing list.

Both these calls for translations will request updates to be sent as
individual bug reports. That will probably trigger a lot of bug
reports against your package, but these should be easier to deal with.

The call for translation updates and new translations will run until
about Tuesday, July 10, 2012. Please avoid uploading a package with fixed or changed
debconf templates and/or translation updates in the meantime. Of
course, other changes are safe.

Please note that this is an approximative delay, which depends on my
own availability to process this work and is influenced by the fact
that I simultaneously work on many packages.

Around Wednesday, July 11, 2012, I will contact you again and will send a final patch
summarizing all the updates (changes to debconf templates,
updates to debconf translations and new debconf translations).

Again, thanks for your attention and cooperation.


-- 


[templates (text/plain, attachment)]
[control (text/plain, attachment)]
[patch (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#677303; Package screen. (Sat, 16 Jun 2012 13:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. (Sat, 16 Jun 2012 13:09:07 GMT) Full text and rfc822 format available.

Message #69 received at 677303@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Christian PERRIER <bubulle@debian.org>, 677303@bugs.debian.org
Subject: Re: Bug#677303: [BTS#677303] templates://screen/{templates} : Final update for English review
Date: Sat, 16 Jun 2012 15:07:16 +0200
Hi Christian,

Christian PERRIER wrote:
> However, please try to avoid uploading screen with these changes
> right now.

JFTR: As discussed before, I'll ignore that due to RC issues, but I'll
likely include the new templates.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Added tag(s) pending. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Sat, 16 Jun 2012 20:24:03 GMT) Full text and rfc822 format available.

Reply sent to Axel Beckert <abe@debian.org>:
You have taken responsibility. (Mon, 18 Jun 2012 21:22:34 GMT) Full text and rfc822 format available.

Notification sent to Christian Perrier <bubulle@debian.org>:
Bug acknowledged by developer. (Mon, 18 Jun 2012 21:22:34 GMT) Full text and rfc822 format available.

Message #76 received at 677303-close@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 677303-close@bugs.debian.org
Subject: Bug#677303: fixed in screen 4.1.0~20120320gitdb59704-3
Date: Mon, 18 Jun 2012 21:15:39 +0000
Source: screen
Source-Version: 4.1.0~20120320gitdb59704-3

We believe that the bug you reported is fixed in the latest version of
screen, which is due to be installed in the Debian FTP archive:

screen_4.1.0~20120320gitdb59704-3.debian.tar.gz
  to main/s/screen/screen_4.1.0~20120320gitdb59704-3.debian.tar.gz
screen_4.1.0~20120320gitdb59704-3.dsc
  to main/s/screen/screen_4.1.0~20120320gitdb59704-3.dsc
screen_4.1.0~20120320gitdb59704-3_amd64.deb
  to main/s/screen/screen_4.1.0~20120320gitdb59704-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677303@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Axel Beckert <abe@debian.org> (supplier of updated screen package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 18 Jun 2012 21:10:49 +0200
Source: screen
Binary: screen
Architecture: source amd64
Version: 4.1.0~20120320gitdb59704-3
Distribution: unstable
Urgency: low
Maintainer: Axel Beckert <abe@debian.org>
Changed-By: Axel Beckert <abe@debian.org>
Description: 
 screen     - terminal multiplexer with VT100/ANSI terminal emulation
Closes: 677227 677303 677726 677748 677752 677838 678021
Changes: 
 screen (4.1.0~20120320gitdb59704-3) unstable; urgency=low
 .
   * Fix workaround for #644788 (detect running screen in maintainer
     scripts) on kfreebsd (Closes: #677227)
   * Update revised debconf templates and package description received from
     the debian-l10n-english team (Closes: #677303)
   * Add translations of debconf templates
     + Simplified Chinese (Closes: #677726; Thanks Aron Xu!)
     + Danish (Closes: #677748; Thanks Joe Hansen!)
     + Swedish (Closes: #677752; Thanks Martin Bagge!)
     + Slovak (Closes: #677838; Thanks Miguel Figueiredo!)
     + Portuguese (Closes: #677838; Thanks Miguel Figueiredo!)
     + Russian (Closes: #678021; Thanks Yuri Kozlov!)
   * Updated German translation
   * Run debconf-updatepo automatically in clean target
     + Add build-dependency on po-debconf
Checksums-Sha1: 
 748a57da4324b6ede132f261442192ead777b4c9 1470 screen_4.1.0~20120320gitdb59704-3.dsc
 d7a8b5880b2f43812bd3b8d2f84f8ba21fa5045d 64883 screen_4.1.0~20120320gitdb59704-3.debian.tar.gz
 179cb28d4d9c056f79328a8d39576f6181c5584c 670220 screen_4.1.0~20120320gitdb59704-3_amd64.deb
Checksums-Sha256: 
 dc8ff7c114c17fb1d5249809d3db97330183d943d204e6fa600e7c519ee8f443 1470 screen_4.1.0~20120320gitdb59704-3.dsc
 3e848e1462ab974320e2a100abbf23828b26e8c2c44f010ca6ab491ba2996697 64883 screen_4.1.0~20120320gitdb59704-3.debian.tar.gz
 c3e328eda6bd16d9069e0e25186558f94e7daad2549f92005d3365520dd401f2 670220 screen_4.1.0~20120320gitdb59704-3_amd64.deb
Files: 
 7dbbea0e105d485baf384d2411d3dd5e 1470 misc optional screen_4.1.0~20120320gitdb59704-3.dsc
 c940b4aa59390a89e7e1f0d31222b2b3 64883 misc optional screen_4.1.0~20120320gitdb59704-3.debian.tar.gz
 14756d8a26752dc1bba6d388c5eb5669 670220 misc optional screen_4.1.0~20120320gitdb59704-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk/fhzkACgkQwJ4diZWTDt63KACeIqrhvQnlytqSj7cPX9Tsenjo
1oQAnAvQQz2EjYESqJF+LiQdXEqO/P68
=UDqv
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Axel Beckert <abe@debian.org>:
Bug#677303; Package screen. (Sun, 01 Jul 2012 12:39:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Axel Beckert <abe@debian.org>. (Sun, 01 Jul 2012 12:39:54 GMT) Full text and rfc822 format available.

Message #81 received at 677303@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 677303@bugs.debian.org
Subject: screen: General update after the debconf review process
Date: Sun, 1 Jul 2012 14:25:42 +0200
[Message part 1 (text/plain, inline)]
Dear Debian maintainer,

On Wednesday, June 13, 2012, I sent you a notification about the beginning of a review
action on debconf templates for screen.

Then, I sent you a bug report with rewritten templates and announcing
the beginning of the second phase of this action: call for translation
updates.

Translators have been working hard and here is now the result of their efforts.

Please consider using it EVEN if you committed files to your
development tree as long as they were reported.

Note: this is just meant to formally conclude the process as you
uploaded the package with templates rewording and translations in the meantime.

The attached tarball contains:

- debian/changelog with the list of changes
- debian/control with rewrites of packages' descriptions
- debian/<templates> with all the rewritten templates file(s)
- debian/po/*.po with all PO files (existing ones and new ones)

As said, please use *at least* the PO files as provided here,
preferrably over those sent by translators in their bug reports. All
of them have been checked and reformatted. In some cases, formatting
errors have been corrected.

The patch.rfr file contains a patch for the templates and control
file(s) alone.

Please note that this patch applies to the templates and control
file(s) of your package as of Wednesday, June 13, 2012. If your package was updated
in the meantime, I may have updated my reference copy....but I also
may have missed that. This is indeed why I suggested you do not
modified such files while the review process was running,
remember..:-)

It is now safe to upload a new package version with these changes.

Please notify me of your intents with regards to this. 

There is of course no hurry to update your package but feel free to
contact me in case you would need sponsoring or any other action to
fix this.



-- 



[patch.tar.gz (application/octet-stream, attachment)]
[patch.rfr (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#677303; Package screen. (Mon, 02 Jul 2012 09:48:50 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. (Mon, 02 Jul 2012 09:48:55 GMT) Full text and rfc822 format available.

Message #86 received at 677303@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Christian PERRIER <bubulle@debian.org>, 677303@bugs.debian.org
Subject: Re: Bug#677303: screen: General update after the debconf review process
Date: Mon, 2 Jul 2012 11:29:36 +0200
Hi Christian,

Christian PERRIER wrote:
> As said, please use *at least* the PO files as provided here,
> preferrably over those sent by translators in their bug reports. All
> of them have been checked and reformatted. In some cases, formatting
> errors have been corrected.

You included the Simplified Chinese translation by YunQiang Su, not
the one by Aron Xu.

As discussed in #678485 I'm prefering Aron's translation as YunQiang
did add more content to his translation (things which are covered by
NEWS.Debian). So I'll skip that translation from your patch.

Feel free to send me a reformatted zh_CN.po based on Aron's
translation (#677726).

> Please notify me of your intents with regards to this. 

I'll upload the propsed changes with the next upload. If no RC bug is
found, this will be _after_ the current screen package has propagated
to testing. Otherwise it'll be part of the next RC bug fix.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Information forwarded to debian-bugs-dist@lists.debian.org, Axel Beckert <abe@debian.org>:
Bug#677303; Package screen. (Mon, 02 Jul 2012 21:42:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Axel Beckert <abe@debian.org>. (Mon, 02 Jul 2012 21:42:12 GMT) Full text and rfc822 format available.

Message #91 received at 677303@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Axel Beckert <abe@debian.org>, 677303@bugs.debian.org
Subject: Re: Bug#677303: screen: General update after the debconf review process
Date: Mon, 2 Jul 2012 17:29:06 -0400
[Message part 1 (text/plain, inline)]
Quoting Axel Beckert (abe@debian.org):

> You included the Simplified Chinese translation by YunQiang Su, not
> the one by Aron Xu.
> 
> As discussed in #678485 I'm prefering Aron's translation as YunQiang
> did add more content to his translation (things which are covered by
> NEWS.Debian). So I'll skip that translation from your patch.
> 
> Feel free to send me a reformatted zh_CN.po based on Aron's
> translation (#677726).


Non, that's not needed.  Both were fine (my reformatting is just a
check with msgfmt and an msgcat run). Sorry for messing up with these
files as the conclusion was clear that Aron Xu's translation is the
one to use.


[signature.asc (application/pgp-signature, inline)]

Bug 677303 cloned as bug 683227 Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Sun, 29 Jul 2012 23:42:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 27 Aug 2012 07:25:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:29:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.